Kapp SearchAsk AIget https://{serverUrl}/app/api/v1/kappsReturns information about all Kapps for the specified Space.Query ParamscountbooleanIf the count query parameter is specified, the server will respond with a count and no results for improved network performance of getting 'counts'.truefalselimitint321 to 1000Defaults to 1000Limit the number of results returned. If not provided, the server will return the default, maximum limit of 1000 results. DEPRECATION NOTICE: Pagination functionality was introduced in version 2.4. In order to provide backwards compatibility with previous versions, if you provide the limit parameter, results will be paginated. If you don't provide the limit parameter, the full result will be returned. The ability to return the full result set will be deprecated in a later version in favor of a paginated set of results.orderBystringA comma separated list of any of the following kapp properties to order (sort) results by createdAt updatedAt name slug status attributes[Attribute Name] directionstringenumDefaults to ASCThe direction the results should be ordered by, either ascending or descending.ASCDESCAllowed:ASCDESCpageTokenstringThe token to get the next page of results. This value is set using the nextPageToken value returned by a search with the same query to get the next page or results.qstringDefaults to detailsSearch qualification parameter used to find kapps within the system. Common Example Queries q=name =* "Catalog" Returns all Kapps that have a name that begins with "Catalog". Operators: BETWEEN left side is between two values - first value is inclusive, second value is exclusive IN left side is equal to one of provided items = equal =* starts with *=* contains > greater than >= greater than or equal < less than <= less than or equal AND Returns boolean true if and only if both expressions are true OR Returns boolean true if at least one expression is true Queryable Properties The following properties can be used within a search with the =, IN, =* (starts with), *=* (contains), <, <=, >, >=, and BETWEEN operators. createdAt (The ISO 8601 time that when the kapp was created) Example: q=createdAt BETWEEN ("2018-04-16T18:42:56.000Z","2019-04-16T18:42:56.000Z") name (Name of the kapp) Example: q=name="HR Approval" slug (Slug of the kapp) Example: q=slug="hr-approval" updatedAt (The ISO 8601 time that when the kapp was last updated) Example: q=updatedAt >= "2018-04-16T18:42:56.000Z" attributes[Attribute Name] (Attribute Value of a kapp) Example: q=attributes[Icon]="fa-comment" Pagination The system will paginate search results based on the limit parameter. If there are more results than the limit parameter (or more than 1000 results if the limit parameter is not provided), a nextPageToken will be included in the response. The nextPageToken value can be passed as the pageToken parameter in subsequent queries to obtain the next page of results. DEPRECATION NOTICE: Pagination functionality was introduced in version 2.4. In order to provide backwards compatibility with previous versions, if you provide the limit parameter, results will be paginated. If you don't provide the limit parameter, the full result will be returned. The ability to return the full result set will be deprecated in a later version in favor of a paginated set of results. Example Response with a next page token: { "kapps": [{...}, {...}], "nextPageToken": "YWJib3R0LmRldmFuQHRoaWVsLm9yZw.4wg2me95blthjyzdvkfs56oc3" }includestringDefaults to detailscomma-separated list of properties to include in the response details attributes attributes[ATTRIBUTE NAME] attributesMap attributesMap[ATTRIBUTE NAME] categories categorizations categoryAttributeDefinitions formAttributeDefinitions formAttributeDefinitions kappAttributeDefinitions securityPolicyDefinitions securityPolicies webhooks space space.{any space include property} Response 200OKUpdated 5 months ago